Subject: Re: [PATCH 1/2] Modify description file to say what this file is

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Feb 2009 16:16:36 -0800

John Tapsell <[email-masked]> writes:

> 2009/2/18 Junio C Hamano <[email-masked]>:
>
> Btw, google seems to show other programs using the description file,
> not just gitweb.  How about changing it to "Unnamed repository: edit
> the file 'description' to name the repository" ?

Sure.

I also think "edit this file 'description' to name..." (not "the", but
"this") would give a bit more hint to a user with a better intuition that
the message is not something that is given by an individual program
(e.g. gitweb or the sample hook) but is a product of catting a file that
exists somewhere in the repository in question, and may reduce unnecessary
requests for help saying "The program tells me to edit 'description' file,
but where should I *create* one?"